<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($aut) {
if ((int)$id) {
$sql = $db -> query("SELECT `id` FROM `chat` WHERE `id` = '".(int)$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$razdel = $sql -> fetch_row();
if (empty($_POST['text'])) {
$diz -> head('Пишем сообщение');
$diz -> title('Сообщение');
$msg.='<div class="fon">';
$otv = (!empty($_GET['otv'])) ? abs((int)$_GET['otv']) : null;
$sq = $db -> query("SELECT * FROM `users` WHERE `id` = '".$otv."'");
$user = $sq -> fetch_assoc();
$value = isset($_GET['otv']) ? ''.htmlentities($user['login'],ENT_QUOTES,'UTF-8').', ' : '';
$page = isset($_GET['page']) ? (int)$_GET['page'] : '1';

$array = array('' => 'Без эмоций', '[Приветливо]' => 'Приветливо', '[Настырно]' => 'Настырно',
 '[Злобно]' => 'Злобно', '[Ласково]' => 'Ласково', '[Смущённо]' => 'Смущённо',
  '[Волнуясь]' => 'Волнуясь', '[Возбуждённо]' => 'Возбуждённо', '[Прощаясь]' => 'Прощаясь');
$stat = null;
foreach ($array as $key => $emo) {
$stat .= '<option value="'.$key.'">'.$emo.'</option>';
}
if($ya['chatinfa']=='1'){
if (!empty($user['name'])) $msg .= '»Имя: '.$user['name'].' <br/>
»Фамилия: '.$user['fami'].'</br>';
if (!empty($user['gorod'])) $msg .= '<div class="">»Город: '.$user['gorod'].'</div>';
if (!empty($user['sex'])) {
if ($user['sex'] == 'm') $sex = 'Мужской'; else $sex = 'Женский';
$msg .= '<div class="">»Пол: '.$sex.'</div>';
}
if (!empty($user['day']) || !empty($user['month']) || !empty($user['year'])) {
$msg .= '<div class="">»Дата рождения: ';
if (!empty($user['day'])) $msg .= $user['day'].' ';
if (!empty($user['month'])) $msg .= $func -> mes($user['month']).' ';
if (!empty($user['year'])) $msg .= $user['year'].' г.';
if(!empty($user['day']) and !empty($user['month']) and !empty($user['year'])){
$v=date("d")-$user['day'];
$vo=date("m")-$user['month'];
if(($vo<=0)or($vo<=0 and $v<=0)){
$voz=date("Y")-$user['year']-1;}
else{$voz=date("Y")-$user['year'];}
}
$msg.='</div>';
$msg.='<div class="">»Возраст: '.$voz.'</div>';
}
$msg.='<hr>';
}
$msg .= '<form action="newpost.php?id='.(int)$id.'&amp;page='.(int)$page.'" method="post" enctype="multipart/form-data"><div>';
$msg .='Сообщение:<br/>
<textarea name="text" rows="3" cols="15">'.$value.'</textarea><br/>
Эмоция:</br><select name="emo">'.$stat.'</select><br/>
<input type="submit" value="Сказать"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="room.php?id='.$id.'&page='.$page.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}elseif(mb_strlen($func -> delprobel($_POST['text'])) < 2)
{
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$diz -> out('Текст не может быть короче 2 символов!
<br/><a href="room'.$id.'">К комнатe</a>');
} else {
$text = shit($_POST['text']);
$emo = shit($_POST['emo']);
    $te = $db -> query("SELECT * FROM `chat_post` WHERE `text` = '".$emo." ".$text."' and `room` = '".$id."' and `yaid` = '".$ya['id']."' LIMIT 1");
if ($te -> num_rows > 0) {
     $diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg.='<div class="fon">Уже есть такое сообщение!</div>';
     header('refresh: 3; url=room'.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}else{
$db -> query("UPDATE `users` SET `balls`=balls+$nastr[bchat] WHERE `id` = '".$ya['id']."'");
$db -> query("UPDATE `users` SET `posts`=posts+1 WHERE `id` = '".(int)$ya['id']."'");
$db -> multi_query("INSERT INTO `chat_post` SET `room` = '".(int)$id."', `yaid` = '".$ya['login']."', `text` = '".$emo." ".$text."',`time` = '".time()."'");
$page = isset($_GET['page']) ? (int)$_GET['page'] : '1';
header('location: room.php?id='.$id.'&page='.$page);
}}
} else header('location: index.php');
} else header('location: index.php');
} else header('location: /aut.php');
?>